﻿
using System;
using System.Linq;
using Wisej.Web;

namespace Wisej.DGVSyncSample
{
	public partial class Window1 : Form
	{
		public Window1()
		{
			InitializeComponent();
		}

		private void Window1_Load(object sender, EventArgs e)
		{
			this.dataGridViewWithBottomRows1.RowCount = 10;
			this.dataGridViewWithBottomRows1.SummaryGrid.RowCount = 1;
			this.dataGridViewWithBottomRows1.SummaryGrid.Rows[0][0].Value = "Total:";
		}

		private void dataGridViewWithBottomRows1_CellValueChanged(object sender, DataGridViewCellEventArgs e)
		{
			// sum third column.
			if (e.ColumnIndex == this.Column2.Index && this.Created)
			{
				var total = this.dataGridViewWithBottomRows1.Rows.Sum(r => (decimal)(r[this.Column2].Value ?? 0m));
				this.dataGridViewWithBottomRows1.SummaryGrid.Rows[0][this.Column2.Index].Value = total;
			}
		}
	}
}
